Subject: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Sep 2020 23:56:22 +0200

Michael Heerdegen <[email-masked]> writes:

> I didn't have this use case in mind.  The current way to do this would
> write like
>
> #+begin_src emacs-lisp
> (el-search--occur
>  (el-search-make-search
>   '`(read-string ,(pred stringp) nil ,_ ,t)
>   (lambda ()
>     (el-search-stream-of-directory-files
>      (expand-file-name "~/src/emacs/trunk/lisp")))))
> #+end_src
>
> I think.  Do you think this is worth an own defun?

I think so -- I've been using el-search now for a few hours, and what
takes 90% of my time is typing `C-u M-x el-search-directory RET
~/src/emacs/trunk/lisp/ RET M-p' and then I can edit the pcase form, and
then RET, wait a bit, and O, wait some more, and then I can start
working.

Well, OK, it's really `C-u M-x M-p RET M-p RET M-p', but that's not kind
on the fingers, either.  :-)  I'd just like to plop the some expression in
*scratch* and eval it after each pcase edit.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no